# -*- coding: utf-8 mode: python -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8

__all__ = ('UnicodeF', 'unicodeF',
           'LowerF', 'lowerF',
           'UpperF', 'upperF',
           'StripF', 'stripF',
           'StrF', 'strF',
           'BooleanF', 'booleanF',
           'IntegerF', 'integerF',
           'FloatF', 'floatF',
           'DateF', 'dateF',
           'TimeF', 'timeF',
           'WeekdayF', 'weekdayF',
           'JourF', 'jourF',
           'TelephoneF', 'telephoneF',
           )

from .strings import UnicodeF, LowerF, UpperF, StripF, StrF
from .boolean import BooleanF
from .integer import IntegerF
from .float import FloatF
from .datetime import DateF, TimeF
from .weekday import WeekdayF
from .jour import JourF
from .telephone import TelephoneF

unicodeF = UnicodeF()
lowerF = LowerF()
upperF = UpperF()
stripF = StripF()
strF = StrF()
booleanF = BooleanF()
integerF = IntegerF()
floatF = FloatF()
dateF = DateF()
timeF = TimeF()
weekdayF = WeekdayF()
jourF = JourF()
telephoneF = TelephoneF()
